PropagationManager (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.propagation
Class PropagationManager

    java.lang.Object
      org.maltparser.core.propagation.PropagationManager

    public class PropagationManager

extends Object

Constructor Summary
`PropagationManager(ConfigurationDir configDirectory, SymbolTableHandler symbolTables)`

Method Summary
`ConfigurationDir` | `getConfigDirectory()`
`Propagations` | `getPropagations()`
`PropagationSpecs` | `getPropagationSpecs()`
`SymbolTableHandler` | `getSymbolTables()`
`void` | `loadSpecification(String propagationSpecFileName)`
`void` | `propagate(Edge e)`
`void` | `setConfigDirectory(ConfigurationDir configDirectory)`
`void` | `setSymbolTables(SymbolTableHandler symbolTables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropagationManager

    public PropagationManager(ConfigurationDir configDirectory,
                              SymbolTableHandler symbolTables)

Method Detail

### loadSpecification

    public void loadSpecification(String propagationSpecFileName)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### propagate

    public void propagate(Edge e)
                   throws MaltChainedException

  Throws:
    `MaltChainedException`

### getPropagationSpecs

    public PropagationSpecs getPropagationSpecs()

### getConfigDirectory

    public ConfigurationDir getConfigDirectory()

### setConfigDirectory

    public void setConfigDirectory(ConfigurationDir configDirectory)

### getSymbolTables

    public SymbolTableHandler getSymbolTables()

### setSymbolTables

    public void setSymbolTables(SymbolTableHandler symbolTables)

### getPropagations

    public Propagations getPropagations()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.